Tbl Mathematics
Utilities.

() More...

## Functions

Tbl | Lorene::operator+ (const Tbl &)
Tbl | Lorene::operator- (const Tbl &)
| `-` Tbl
Tbl | Lorene::operator+ (const Tbl &, const Tbl &)
| Tbl + Tbl.
Tbl | Lorene::operator+ (const Tbl &, double)
| Tbl + double.
Tbl | Lorene::operator+ (double, const Tbl &)
| double + Tbl
Tbl | Lorene::operator+ (const Tbl &, int)
| Tbl + int.
Tbl | Lorene::operator+ (int, const Tbl &)
| int + Tbl
Tbl | Lorene::operator- (const Tbl &, const Tbl &)
| Tbl - Tbl.
Tbl | Lorene::operator- (const Tbl &, double)
| Tbl - double.
Tbl | Lorene::operator- (double, const Tbl &)
| double - Tbl
Tbl | Lorene::operator- (const Tbl &, int)
| Tbl - int.
Tbl | Lorene::operator- (int, const Tbl &)
| int - Tbl
Tbl | Lorene::operator* (const Tbl &, const Tbl &)
| Tbl * Tbl.
Tbl | Lorene::operator* (const Tbl &, double)
| Tbl * double.
Tbl | Lorene::operator* (double, const Tbl &)
| double * Tbl
Tbl | Lorene::operator* (const Tbl &, int)
| Tbl * int.
Tbl | Lorene::operator* (int, const Tbl &)
| int * Tbl
Tbl | Lorene::operator/ (const Tbl &, const Tbl &)
| Tbl / Tbl.
Tbl | Lorene::operator/ (const Tbl &, double)
| Tbl / double.
Tbl | Lorene::operator/ (double, const Tbl &)
| double / Tbl
Tbl | Lorene::operator/ (const Tbl &, int)
| Tbl / int.
Tbl | Lorene::operator/ (int, const Tbl &)
| int / Tbl
Tbl | Lorene::sin (const Tbl &)
| Sine.
Tbl | Lorene::cos (const Tbl &)
| Cosine.
Tbl | Lorene::tan (const Tbl &)
| Tangent.
Tbl | Lorene::asin (const Tbl &)
| Arcsine.
Tbl | Lorene::acos (const Tbl &)
| Arccosine.
Tbl | Lorene::atan (const Tbl &)
| Arctangent.
Tbl | Lorene::exp (const Tbl &)
| Exponential.
Tbl | Lorene::Heaviside (const Tbl &)
| Heaviside function.
Tbl | Lorene::log (const Tbl &)
| Neperian logarithm.
Tbl | Lorene::log10 (const Tbl &)
| Basis 10 logarithm.
Tbl | Lorene::sqrt (const Tbl &)
| Square root.
Tbl | Lorene::racine_cubique (const Tbl &)
| cube root
Tbl | Lorene::pow (const Tbl &, int)
| Power .
Tbl | Lorene::pow (const Tbl &, double)
| Power .
Tbl | Lorene::abs (const Tbl &)
| Absolute value.
double | Lorene::max (const Tbl &)
| Maximum value of the `Tbl` elements.
double | Lorene::min (const Tbl &)
| Minimum value of the `Tbl` elements.
double | Lorene::norme (const Tbl &)
| Sum of the absolute values of all the `Tbl` elements.
double | Lorene::diffrel (const Tbl &a, const Tbl &b)
| Relative difference between two `Tbl` (norme version).
double | Lorene::diffrelmax (const Tbl &a, const Tbl &b)
| Relative difference between two `Tbl` (max version).

## Detailed Description

()

## Function Documentation

## abs()

Tbl Lorene::abs | ( | const Tbl & | ti | ) |

Absolute value.

Definition at line 441 of file tbl_math.C.

References Lorene::Tbl::dim, Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), Lorene::Tbl::set_etat_qcq(), and Lorene::Tbl::t.

## acos()

Tbl Lorene::acos | ( | const Tbl & | ti | ) |

Arccosine.

Definition at line 183 of file tbl_math.C.

References acos(), Lorene::Tbl::dim, Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), Lorene::Tbl::set_etat_qcq(), and Lorene::Tbl::t.

## asin()

Tbl Lorene::asin | ( | const Tbl & | ti | ) |

Arcsine.

Definition at line 158 of file tbl_math.C.

References asin(), Lorene::Tbl::dim, Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), Lorene::Tbl::set_etat_qcq(), and Lorene::Tbl::t.

## atan()

Tbl Lorene::atan | ( | const Tbl & | ti | ) |

Arctangent.

Definition at line 213 of file tbl_math.C.

References atan(), Lorene::Tbl::dim, Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), Lorene::Tbl::set_etat_qcq(), and Lorene::Tbl::t.

## cos()

Tbl Lorene::cos | ( | const Tbl & | ti | ) |

Cosine.

Definition at line 103 of file tbl_math.C.

References cos(), Lorene::Tbl::dim, Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), Lorene::Tbl::set_etat_qcq(), and Lorene::Tbl::t.

## diffrel()

double Lorene::diffrel | ( | const Tbl & | a,
|  | const Tbl & | b )

Relative difference between two `Tbl` (norme version).

Returns `norme`(a-b)/norme(b) unless `b=0`, in which case it returns `norme`(a-b).

Definition at line 574 of file tbl_math.C.

References Lorene::Tbl::get_etat(), and norme().

## diffrelmax()

double Lorene::diffrelmax | ( | const Tbl & | a,
|  | const Tbl & | b )

Relative difference between two `Tbl` (max version).

Returns `max`(abs(a-b))/max(abs(b)) unless `b=0`, in which case it returns `max`(abs(a-b)).

Definition at line 598 of file tbl_math.C.

References abs(), Lorene::Tbl::get_etat(), and max().

## exp()

Tbl Lorene::exp | ( | const Tbl & | ti | ) |

Exponential.

Definition at line 263 of file tbl_math.C.

References Lorene::Tbl::dim, exp(), Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), Lorene::Tbl::set_etat_qcq(), and Lorene::Tbl::t.

## Heaviside()

Tbl Lorene::Heaviside | ( | const Tbl & | ti | ) |

Heaviside function.

Definition at line 293 of file tbl_math.C.

References Lorene::Tbl::dim, Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), Lorene::Tbl::set_etat_qcq(), and Lorene::Tbl::t.

## log()

Tbl Lorene::log | ( | const Tbl & | ti | ) |

Neperian logarithm.

Definition at line 326 of file tbl_math.C.

References Lorene::Tbl::dim, Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), log(), Lorene::Tbl::set_etat_qcq(), and Lorene::Tbl::t.

## log10()

Tbl Lorene::log10 | ( | const Tbl & | ti | ) |

Basis 10 logarithm.

Definition at line 352 of file tbl_math.C.

References Lorene::Tbl::dim, Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), log10(), Lorene::Tbl::set_etat_qcq(), and Lorene::Tbl::t.

## max()

double Lorene::max | ( | const Tbl & | ti | ) |

Maximum value of the `Tbl` elements.

Definition at line 498 of file tbl_math.C.

References Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), Lorene::Tbl::t, and x.

## min()

double Lorene::min | ( | const Tbl & | ti | ) |

Minimum value of the `Tbl` elements.

Definition at line 524 of file tbl_math.C.

References Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), Lorene::Tbl::t, and x.

## norme()

double Lorene::norme | ( | const Tbl & | ti | ) |

Sum of the absolute values of all the `Tbl` elements.

Definition at line 550 of file tbl_math.C.

References Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), Lorene::Tbl::t, and x.

## operator*() [1/5]

Tbl Lorene::operator* | ( | const Tbl & | t1,
|  | const Tbl & | t2 )

Tbl * Tbl.

Definition at line 288 of file tbl_arithm.C.

References Lorene::Tbl::get_dim(), Lorene::Tbl::get_etat(), Lorene::Tbl::get_ndim(), r, and Lorene::Tbl::t.

## operator*() [2/5]

Tbl Lorene::operator* | ( | const Tbl & | t1,
|  | double | x )

Tbl * double.

Definition at line 321 of file tbl_arithm.C.

References Lorene::Tbl::get_etat(), r, and x.

## operator*() [3/5]

Tbl Lorene::operator* | ( | const Tbl & | t1,
|  | int | n )

Tbl * int.

Definition at line 358 of file tbl_arithm.C.

## operator*() [4/5]

Tbl Lorene::operator* | ( | double | x,
|  | const Tbl & | t1 )

double * Tbl

Definition at line 351 of file tbl_arithm.C.

References x.

## operator*() [5/5]

Tbl Lorene::operator* | ( | int | n,
|  | const Tbl & | t1 )

int * Tbl

Definition at line 365 of file tbl_arithm.C.

## operator+() [1/6]

Tbl Lorene::operator+ | ( | const Tbl & | t1 | ) |

- Tbl

Definition at line 77 of file tbl_arithm.C.

References Lorene::Tbl::get_etat().

## operator+() [2/6]

Tbl Lorene::operator+ | ( | const Tbl & | t1,
|  | const Tbl & | t2 )

Tbl + Tbl.

Definition at line 112 of file tbl_arithm.C.

References Lorene::Tbl::get_dim(), Lorene::Tbl::get_etat(), Lorene::Tbl::get_ndim(), r, and Lorene::Tbl::t.

## operator+() [3/6]

Tbl Lorene::operator+ | ( | const Tbl & | t1,
|  | double | x )

Tbl + double.

Definition at line 146 of file tbl_arithm.C.

References Lorene::Tbl::get_etat(), r, and x.

## operator+() [4/6]

Tbl Lorene::operator+ | ( | const Tbl & | t1,
|  | int | n )

Tbl + int.

Definition at line 174 of file tbl_arithm.C.

## operator+() [5/6]

Tbl Lorene::operator+ | ( | double | x,
|  | const Tbl & | t1 )

double + Tbl

Definition at line 167 of file tbl_arithm.C.

References x.

## operator+() [6/6]

Tbl Lorene::operator+ | ( | int | n,
|  | const Tbl & | t1 )

int + Tbl

Definition at line 181 of file tbl_arithm.C.

## operator-() [1/6]

Tbl Lorene::operator- | ( | const Tbl & | t1 | ) |

`-` Tbl

Definition at line 87 of file tbl_arithm.C.

References Lorene::Tbl::dim, Lorene::Tbl::get_etat(), r, and Lorene::Tbl::t.

## operator-() [2/6]

Tbl Lorene::operator- | ( | const Tbl & | t1,
|  | const Tbl & | t2 )

Tbl - Tbl.

Definition at line 193 of file tbl_arithm.C.

References Lorene::Tbl::get_dim(), Lorene::Tbl::get_etat(), Lorene::Tbl::get_ndim(), r, and Lorene::Tbl::t.

## operator-() [3/6]

Tbl Lorene::operator- | ( | const Tbl & | t1,
|  | double | x )

Tbl - double.

Definition at line 228 of file tbl_arithm.C.

References Lorene::Tbl::get_etat(), r, and x.

## operator-() [4/6]

Tbl Lorene::operator- | ( | const Tbl & | t1,
|  | int | n )

Tbl - int.

Definition at line 249 of file tbl_arithm.C.

## operator-() [5/6]

Tbl Lorene::operator- | ( | double | x,
|  | const Tbl & | t1 )

double - Tbl

Definition at line 256 of file tbl_arithm.C.

References Lorene::Tbl::get_etat(), r, and x.

## operator-() [6/6]

Tbl Lorene::operator- | ( | int | n,
|  | const Tbl & | t1 )

int - Tbl

Definition at line 277 of file tbl_arithm.C.

## operator/() [1/5]

Tbl Lorene::operator/ | ( | const Tbl & | t1,
|  | const Tbl & | t2 )

Tbl / Tbl.

Definition at line 376 of file tbl_arithm.C.

References Lorene::Tbl::get_dim(), Lorene::Tbl::get_etat(), Lorene::Tbl::get_ndim(), r, and Lorene::Tbl::t.

## operator/() [2/5]

Tbl Lorene::operator/ | ( | const Tbl & | t1,
|  | double | x )

Tbl / double.

Definition at line 410 of file tbl_arithm.C.

References Lorene::Tbl::get_etat(), r, and x.

## operator/() [3/5]

Tbl Lorene::operator/ | ( | const Tbl & | t1,
|  | int | n )

Tbl / int.

Definition at line 436 of file tbl_arithm.C.

## operator/() [4/5]

Tbl Lorene::operator/ | ( | double | x,
|  | const Tbl & | t1 )

double / Tbl

Definition at line 443 of file tbl_arithm.C.

References Lorene::Tbl::dim, Lorene::Tbl::get_etat(), r, Lorene::Tbl::t, and x.

## operator/() [5/5]

Tbl Lorene::operator/ | ( | int | n,
|  | const Tbl & | t1 )

int / Tbl

Definition at line 475 of file tbl_arithm.C.

## pow() [1/2]

Tbl Lorene::pow | ( | const Tbl & | ti,
|  | double | x )

Power .

Definition at line 410 of file tbl_math.C.

References Lorene::Tbl::dim, Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), pow(), Lorene::Tbl::set_etat_qcq(), Lorene::Tbl::t, and x.

## pow() [2/2]

Tbl Lorene::pow | ( | const Tbl & | ti,
|  | int | n )

Power .

Definition at line 378 of file tbl_math.C.

References Lorene::Tbl::dim, Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), pow(), Lorene::Tbl::set_etat_qcq(), Lorene::Tbl::t, and x.

## racine_cubique()

Tbl Lorene::racine_cubique | ( | const Tbl & | ti | ) |

cube root

Definition at line 471 of file tbl_math.C.

References abs(), Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), pow(), and Lorene::Tbl::t.

## sin()

Tbl Lorene::sin | ( | const Tbl & | ti | ) |

Sine.

Definition at line 78 of file tbl_math.C.

References Lorene::Tbl::dim, Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), Lorene::Tbl::set_etat_qcq(), sin(), and Lorene::Tbl::t.

## sqrt()

Tbl Lorene::sqrt | ( | const Tbl & | ti | ) |

Square root.

Definition at line 238 of file tbl_math.C.

References Lorene::Tbl::dim, Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), Lorene::Tbl::set_etat_qcq(), sqrt(), and Lorene::Tbl::t.

## tan()

Tbl Lorene::tan | ( | const Tbl & | ti | ) |

Tangent.

Definition at line 133 of file tbl_math.C.

References Lorene::Tbl::dim, Lorene::Tbl::get_etat(), Lorene::Tbl::get_taille(), Lorene::Tbl::set_etat_qcq(), Lorene::Tbl::t, and tan().